""" urls for the event gallery part of the events app. """
from django.urls import path

from . import views

urlpatterns = [
    path("", views.EventGallery.as_view(), name='event-gallery'),
    path('<int:event>/', views.EventPhotoList.as_view(), name='event-photo-list'),
    path('<int:event>/upload/', views.EventPhotoUpload.as_view(), name='event-photo-upload'),
    path('<int:event>/<int:pk>/', views.EventPhoto.as_view(), name='event-photo'),
    path('delete/<int:pk>/', views.DeleteEventPhoto.as_view(), name='delete-event-photo'),
    path('upload/', views.EventPhotoUpload.as_view(), name='event-photo-upload'),
]
